#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
提供日志记录功能

此模块提供了两种类型的日志记录器：
1. 用户日志记录器：用于记录程序执行进展情况，使用简洁的日志格式
2. 系统日志记录器：用于记录详细的系统信息，包括进程ID、线程ID等

日志记录器默认不会传播日志到根记录器，这意味着使用本模块的日志功能
不会影响其他日志记录器的行为。

系统和用户日志可在全局配置或各架构层级中独立启用或禁用：
- 配置文件中可以通过enabled参数控制日志类型的启用状态
- 也可以在代码中通过参数enabled直接控制日志的启用状态
- 日志启用状态的优先级：代码参数 > 层级配置 > 全局配置（默认启用）
"""

from .logger import get_user_logger, get_system_logger

__all__ = ["get_user_logger", "get_system_logger"]
